Debian Bug report logs - #460302
usr/include/tdb.h uses sig_atomic_t without including signal.h

version graph

Package: tdb-dev; Maintainer for tdb-dev is Jelmer Vernooij <jelmer@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 18 Dec 2007 09:15:19 UTC

Severity: serious

Tags: patch, pending

Found in version tdb/1.1.1~svn26294-1

Fixed in version tdb/1.1.1~svn26294-1.1

Done: Barry deFreese <bddebian@comcast.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Frank Terbeck <ft@bewatermyfriend.org>:
Bug#456871; Package fdm. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Frank Terbeck <ft@bewatermyfriend.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: fdm: FTBFS: /usr/include/tdb.h:150: error: expected ';', ',' or ')' before '*' token
Date: Tue, 18 Dec 2007 09:18:29 +0100
Package: fdm
version: 1.4-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20071217 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:

 > gcc -std=c99 -Wno-long-long -Wall -W -Wnested-externs -Wformat=2 -Wmissing-prototypes -Wstrict-prototypes -Wmissing-declarations -Wwrite-strings -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare -Wundef -Wshadow -Wbad-function-cast -Winline -Wcast-align -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DWITH_MREMAP -DNO_STRLCPY -DNO_STRLCAT -DNO_STRTONUM -DNO_SETPROCTITLE -DNO_QUEUE_H -DNO_TREE_H -DBUILD="\"1.4\"" -DPCRE -I. -iquote. -I/usr/include/openssl -Icompat  -c -o child-deliver.o child-deliver.c
 > gcc -std=c99 -Wno-long-long -Wall -W -Wnested-externs -Wformat=2 -Wmissing-prototypes -Wstrict-prototypes -Wmissing-declarations -Wwrite-strings -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare -Wundef -Wshadow -Wbad-function-cast -Winline -Wcast-align -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DWITH_MREMAP -DNO_STRLCPY -DNO_STRLCAT -DNO_STRTONUM -DNO_SETPROCTITLE -DNO_QUEUE_H -DNO_TREE_H -DBUILD="\"1.4\"" -DPCRE -I. -iquote. -I/usr/include/openssl -Icompat  -c -o child-fetch.o child-fetch.c
 > gcc -std=c99 -Wno-long-long -Wall -W -Wnested-externs -Wformat=2 -Wmissing-prototypes -Wstrict-prototypes -Wmissing-declarations -Wwrite-strings -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare -Wundef -Wshadow -Wbad-function-cast -Winline -Wcast-align -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DWITH_MREMAP -DNO_STRLCPY -DNO_STRLCAT -DNO_STRTONUM -DNO_SETPROCTITLE -DNO_QUEUE_H -DNO_TREE_H -DBUILD="\"1.4\"" -DPCRE -I. -iquote. -I/usr/include/openssl -Icompat  -c -o child.o child.c
 > gcc -std=c99 -Wno-long-long -Wall -W -Wnested-externs -Wformat=2 -Wmissing-prototypes -Wstrict-prototypes -Wmissing-declarations -Wwrite-strings -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare -Wundef -Wshadow -Wbad-function-cast -Winline -Wcast-align -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DWITH_MREMAP -DNO_STRLCPY -DNO_STRLCAT -DNO_STRTONUM -DNO_SETPROCTITLE -DNO_QUEUE_H -DNO_TREE_H -DBUILD="\"1.4\"" -DPCRE -I. -iquote. -I/usr/include/openssl -Icompat  -c -o pcre.o pcre.c
 > gcc -std=c99 -Wno-long-long -Wall -W -Wnested-externs -Wformat=2 -Wmissing-prototypes -Wstrict-prototypes -Wmissing-declarations -Wwrite-strings -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare -Wundef -Wshadow -Wbad-function-cast -Winline -Wcast-align -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DWITH_MREMAP -DNO_STRLCPY -DNO_STRLCAT -DNO_STRTONUM -DNO_SETPROCTITLE -DNO_QUEUE_H -DNO_TREE_H -DBUILD="\"1.4\"" -DPCRE -I. -iquote. -I/usr/include/openssl -Icompat  -c -o re.o re.c
 > gcc -std=c99 -Wno-long-long -Wall -W -Wnested-externs -Wformat=2 -Wmissing-prototypes -Wstrict-prototypes -Wmissing-declarations -Wwrite-strings -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare -Wundef -Wshadow -Wbad-function-cast -Winline -Wcast-align -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DWITH_MREMAP -DNO_STRLCPY -DNO_STRLCAT -DNO_STRTONUM -DNO_SETPROCTITLE -DNO_QUEUE_H -DNO_TREE_H -DBUILD="\"1.4\"" -DPCRE -I. -iquote. -I/usr/include/openssl -Icompat  -c -o privsep.o privsep.c
 > gcc -std=c99 -Wno-long-long -Wall -W -Wnested-externs -Wformat=2 -Wmissing-prototypes -Wstrict-prototypes -Wmissing-declarations -Wwrite-strings -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare -Wundef -Wshadow -Wbad-function-cast -Winline -Wcast-align -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DWITH_MREMAP -DNO_STRLCPY -DNO_STRLCAT -DNO_STRTONUM -DNO_SETPROCTITLE -DNO_QUEUE_H -DNO_TREE_H -DBUILD="\"1.4\"" -DPCRE -I. -iquote. -I/usr/include/openssl -Icompat  -c -o replace.o replace.c
 > gcc -std=c99 -Wno-long-long -Wall -W -Wnested-externs -Wformat=2 -Wmissing-prototypes -Wstrict-prototypes -Wmissing-declarations -Wwrite-strings -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare -Wundef -Wshadow -Wbad-function-cast -Winline -Wcast-align -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DWITH_MREMAP -DNO_STRLCPY -DNO_STRLCAT -DNO_STRTONUM -DNO_SETPROCTITLE -DNO_QUEUE_H -DNO_TREE_H -DBUILD="\"1.4\"" -DPCRE -I. -iquote. -I/usr/include/openssl -Icompat  -c -o shm-mmap.o shm-mmap.c
 > gcc -std=c99 -Wno-long-long -Wall -W -Wnested-externs -Wformat=2 -Wmissing-prototypes -Wstrict-prototypes -Wmissing-declarations -Wwrite-strings -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare -Wundef -Wshadow -Wbad-function-cast -Winline -Wcast-align -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DWITH_MREMAP -DNO_STRLCPY -DNO_STRLCAT -DNO_STRTONUM -DNO_SETPROCTITLE -DNO_QUEUE_H -DNO_TREE_H -DBUILD="\"1.4\"" -DPCRE -I. -iquote. -I/usr/include/openssl -Icompat  -c -o strb.o strb.c
 > gcc -std=c99 -Wno-long-long -Wall -W -Wnested-externs -Wformat=2 -Wmissing-prototypes -Wstrict-prototypes -Wmissing-declarations -Wwrite-strings -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare -Wundef -Wshadow -Wbad-function-cast -Winline -Wcast-align -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DWITH_MREMAP -DNO_STRLCPY -DNO_STRLCAT -DNO_STRTONUM -DNO_SETPROCTITLE -DNO_QUEUE_H -DNO_TREE_H -DBUILD="\"1.4\"" -DPCRE -I. -iquote. -I/usr/include/openssl -Icompat  -c -o db-tdb.o db-tdb.c
 > In file included from db-tdb.c:24:
 > /usr/include/tdb.h:150: error: expected ';', ',' or ')' before '*' token
 > db-tdb.c: In function 'db_add':
 > db-tdb.c:60: warning: pointer targets in assignment differ in signedness
 > db-tdb.c:63: warning: pointer targets in assignment differ in signedness
 > db-tdb.c: In function 'db_contains':
 > db-tdb.c:74: warning: pointer targets in assignment differ in signedness
 > make[1]: *** [db-tdb.o] Error 1
 > make[1]: Leaving directory `/build/user/fdm-1.4'
 > make: *** [build-stamp] Error 2
 > dpkg-buildpackage: failure: debian/rules build gave error exit status 2

The full build log is available from:
	http://people.debian.org/~lucas/logs/2007/12/17

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Bug 456871 cloned as bug 460302. Request was from Frank Terbeck <ft@bewatermyfriend.org> to control@bugs.debian.org. (Fri, 11 Jan 2008 21:51:04 GMT) Full text and rfc822 format available.

Bug reassigned from package `fdm' to `tdb-dev'. Request was from Frank Terbeck <ft@bewatermyfriend.org> to control@bugs.debian.org. (Fri, 11 Jan 2008 21:51:06 GMT) Full text and rfc822 format available.

Changed Bug title to `usr/include/tdb.h uses sig_atomic_t without including signal.h' from `fdm: FTBFS: /usr/include/tdb.h:150: error: expected ';', ',' or ')' before '*' token'. Request was from Frank Terbeck <ft@bewatermyfriend.org> to control@bugs.debian.org. (Fri, 11 Jan 2008 21:51:07 GMT) Full text and rfc822 format available.

Blocking bugs of 456871 added: 460302 Request was from Frank Terbeck <ft@bewatermyfriend.org> to control@bugs.debian.org. (Fri, 11 Jan 2008 21:51:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jelmer Vernooij <jelmer@samba.org>:
Bug#460302; Package tdb-dev. Full text and rfc822 format available.

Acknowledgement sent to Giacomo Catenazzi <cate@debian.org>:
Extra info received and forwarded to list. Copy sent to Jelmer Vernooij <jelmer@samba.org>. Full text and rfc822 format available.

Message #18 received at 460302@bugs.debian.org (full text, mbox):

From: Giacomo Catenazzi <cate@debian.org>
To: 460302@bugs.debian.org
Subject: Re: NMU #460302 in tdb: usr/include/tdb.h uses sig_atomic_t without including signal.h
Date: Mon, 14 Jan 2008 08:43:55 +0100
[Message part 1 (text/plain, inline)]
and the diff

PS: This bug will close also a rc-bug in an other package.
[tdb.diff (text/x-patch, inline)]
diff -u tdb-1.1.1~svn26294/debian/changelog tdb-1.1.1~svn26294/debian/changelog
--- tdb-1.1.1~svn26294/debian/changelog
+++ tdb-1.1.1~svn26294/debian/changelog
@@ -1,3 +1,10 @@
+tdb (1.1.1~svn26294-1.1) unstable; urgency=low
+
+  * Non-Maintainer Upload at BSP in Zurich: fix rc-bug
+  * remove tdb_setalarm_sigptr() as in the released version (Closes: #460302)
+
+ -- Giacomo Catenazzi <cate@debian.org>  Sun, 13 Jan 2008 13:50:34 +0100
+
 tdb (1.1.1~svn26294-1) unstable; urgency=low
 
   * New upstream snapshot.
only in patch2:
unchanged:
--- tdb-1.1.1~svn26294.orig/include/tdb.h
+++ tdb-1.1.1~svn26294/include/tdb.h
@@ -147,8 +147,6 @@
 int tdb_chainlock_mark(struct tdb_context *tdb, TDB_DATA key);
 int tdb_chainlock_unmark(struct tdb_context *tdb, TDB_DATA key);
 
-void tdb_setalarm_sigptr(struct tdb_context *tdb, volatile sig_atomic_t *sigptr);
-
 /* Debug functions. Not used in production. */
 void tdb_dump_all(struct tdb_context *tdb);
 int tdb_printfreelist(struct tdb_context *tdb);

Information forwarded to debian-bugs-dist@lists.debian.org, Jelmer Vernooij <jelmer@samba.org>:
Bug#460302; Package tdb-dev. Full text and rfc822 format available.

Acknowledgement sent to Giacomo Catenazzi <cate@debian.org>:
Extra info received and forwarded to list. Copy sent to Jelmer Vernooij <jelmer@samba.org>. Full text and rfc822 format available.

Message #23 received at 460302@bugs.debian.org (full text, mbox):

From: Giacomo Catenazzi <cate@debian.org>
To: 460302@bugs.debian.org
Subject: NMU #460302 in tdb: usr/include/tdb.h uses sig_atomic_t without including signal.h
Date: Mon, 14 Jan 2008 08:41:31 +0100
Hello

In the Debian BSP in Zurich I fixed one rc-bug in tdb package:

I remove the funcion, because it is also removed upstream in
the released version.

I've not corrected the second rc-bug. I think that the release
correct the bug, but:
1- not so sure
2- it change GPL-2 to GPL-3
so to much for a "normal" NMU.

ciao
	cate




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#460302; Package tdb-dev. Full text and rfc822 format available.

Acknowledgement sent to Jelmer Vernooij <jelmer@samba.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #28 received at 460302@bugs.debian.org (full text, mbox):

From: Jelmer Vernooij <jelmer@samba.org>
To: Giacomo Catenazzi <cate@debian.org>, 460302@bugs.debian.org
Subject: Re: Bug#460302: NMU #460302 in tdb: usr/include/tdb.h uses sig_atomic_t without including signal.h
Date: Mon, 14 Jan 2008 12:34:12 +0100
Am Montag, den 14.01.2008, 08:43 +0100 schrieb Giacomo Catenazzi: 
> and the diff
> 
> PS: This bug will close also a rc-bug in an other package.
Please don't upload this. I'm not sure what upstream package you're
looking at but tdb_setalarm_sigptr() still exists in upstream gits
tdb.h.

Cheers,

Jelmer
-- 
Jelmer Vernooij <jelmer@samba.org> - http://samba.org/~jelmer/
Jabber: jelmer@jabber.fsfe.org




Information forwarded to debian-bugs-dist@lists.debian.org, Jelmer Vernooij <jelmer@samba.org>:
Bug#460302; Package tdb-dev. Full text and rfc822 format available.

Acknowledgement sent to "Giacomo A. Catenazzi" <cate@debian.org>:
Extra info received and forwarded to list. Copy sent to Jelmer Vernooij <jelmer@samba.org>. Full text and rfc822 format available.

Message #33 received at 460302@bugs.debian.org (full text, mbox):

From: "Giacomo A. Catenazzi" <cate@debian.org>
To: Jelmer Vernooij <jelmer@samba.org>
Cc: 460302@bugs.debian.org
Subject: Re: Bug#460302: NMU #460302 in tdb: usr/include/tdb.h uses sig_atomic_t without including signal.h
Date: Mon, 14 Jan 2008 14:01:09 +0100
Jelmer Vernooij wrote:
> Am Montag, den 14.01.2008, 08:43 +0100 schrieb Giacomo Catenazzi: 
>> and the diff
>>
>> PS: This bug will close also a rc-bug in an other package.

> Please don't upload this. I'm not sure what upstream package you're
> looking at but tdb_setalarm_sigptr() still exists in upstream gits
> tdb.h.

ok. I'll check how to remove from the delayed queue.

Or you can include <signal.h> and upload a new package
(so that my package will never be installed).
[see POSIX: 
http://www.opengroup.org/onlinepubs/009695399/basedefs/signal.h.html ]

I was locking in:
http://viewcvs.samba.org/cgi-bin/viewcvs.cgi/tags/TDB_1_1_0/include/tdb.h?rev=22638&view=auto
which seemed me the right source, extrapoled and interpreted from
debian/copyright. But I lack of deep knowledge of the project,
so I had taken a wrong branch (you were the last commiter).

Sorry for my error!
ciao
	cate




Information forwarded to debian-bugs-dist@lists.debian.org, Jelmer Vernooij <jelmer@samba.org>:
Bug#460302; Package tdb-dev. Full text and rfc822 format available.

Acknowledgement sent to Frank Terbeck <ft@bewatermyfriend.org>:
Extra info received and forwarded to list. Copy sent to Jelmer Vernooij <jelmer@samba.org>. Full text and rfc822 format available.

Message #38 received at 460302@bugs.debian.org (full text, mbox):

From: Frank Terbeck <ft@bewatermyfriend.org>
To: 460302@bugs.debian.org
Subject: usr/include/tdb.h uses sig_atomic_t without including signal.h
Date: Wed, 20 Feb 2008 16:57:03 +0100
Is this bug going to be dealt with anytime soon?

Regards, Frank




Information forwarded to debian-bugs-dist@lists.debian.org, Jelmer Vernooij <jelmer@samba.org>:
Bug#460302; Package tdb-dev. Full text and rfc822 format available.

Acknowledgement sent to Barry deFreese <bddebian@comcast.net>:
Extra info received and forwarded to list. Copy sent to Jelmer Vernooij <jelmer@samba.org>. Full text and rfc822 format available.

Message #43 received at 460302@bugs.debian.org (full text, mbox):

From: Barry deFreese <bddebian@comcast.net>
To: 460302@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: usr/include/tdb.h uses sig_atomic_t without including signal.h
Date: Sun, 09 Mar 2008 00:20:29 -0500
[Message part 1 (text/plain, inline)]
tags 460302 + patch

thank you,


Hi,

Here is an NMU to resolve this bug.  I'm not sure if you will like it
but it seems to me to be the most straightforward fix.

It also puts the man pages back in.  I don't know what happened to them.
I don't see them in samba git anymore either?

I didn't add the patch from #425716 because I wasn't sure if you were
comfortable with it.

Thanks,

Barry deFreese


[tdb_nmu.debdiff (text/x-patch, attachment)]

Tags added: patch Request was from Barry deFreese <bddebian@comcast.net> to control@bugs.debian.org. (Sun, 09 Mar 2008 05:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#460302; Package tdb-dev. Full text and rfc822 format available.

Acknowledgement sent to Jelmer Vernooij <jelmer@samba.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #50 received at 460302@bugs.debian.org (full text, mbox):

From: Jelmer Vernooij <jelmer@samba.org>
To: Barry deFreese <bddebian@comcast.net>, 460302@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#460302: usr/include/tdb.h uses sig_atomic_t without including signal.h
Date: Sun, 09 Mar 2008 12:55:31 +0100
[Message part 1 (text/plain, inline)]
Am Sonntag, den 09.03.2008, 00:20 -0500 schrieb Barry deFreese:
> tags 460302 + patch

> Here is an NMU to resolve this bug.  I'm not sure if you will like it
> but it seems to me to be the most straightforward fix.
> 
> It also puts the man pages back in.  I don't know what happened to them.
> I don't see them in samba git anymore either?
> 
> I didn't add the patch from #425716 because I wasn't sure if you were
> comfortable with it.
The fix for signal.h looks fine. 

The manpages have never been in upstream and probably never will be in
the current form. I'd rather see them being merged first into just a
couple of manpages first and perhaps use DocBook XML, but I don't have
time for that at the moment.

Please upload. Thanks for working on this!

Cheers,

Jelmer
-- 
Jelmer Vernooij <jelmer@samba.org> - http://samba.org/~jelmer/
Jabber: jelmer@jabber.fsfe.org
[signature.asc (application/pgp-signature, inline)]

Reply sent to Barry deFreese <bddebian@comcast.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #55 received at 460302-close@bugs.debian.org (full text, mbox):

From: Barry deFreese <bddebian@comcast.net>
To: 460302-close@bugs.debian.org
Subject: Bug#460302: fixed in tdb 1.1.1~svn26294-1.1
Date: Sun, 09 Mar 2008 15:02:05 +0000
Source: tdb
Source-Version: 1.1.1~svn26294-1.1

We believe that the bug you reported is fixed in the latest version of
tdb, which is due to be installed in the Debian FTP archive:

libtdb1_1.1.1~svn26294-1.1_i386.deb
  to pool/main/t/tdb/libtdb1_1.1.1~svn26294-1.1_i386.deb
python-tdb_1.1.1~svn26294-1.1_i386.deb
  to pool/main/t/tdb/python-tdb_1.1.1~svn26294-1.1_i386.deb
tdb-dev_1.1.1~svn26294-1.1_i386.deb
  to pool/main/t/tdb/tdb-dev_1.1.1~svn26294-1.1_i386.deb
tdb-tools_1.1.1~svn26294-1.1_i386.deb
  to pool/main/t/tdb/tdb-tools_1.1.1~svn26294-1.1_i386.deb
tdb_1.1.1~svn26294-1.1.diff.gz
  to pool/main/t/tdb/tdb_1.1.1~svn26294-1.1.diff.gz
tdb_1.1.1~svn26294-1.1.dsc
  to pool/main/t/tdb/tdb_1.1.1~svn26294-1.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 460302@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Barry deFreese <bddebian@comcast.net> (supplier of updated tdb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 08 Mar 2008 22:34:03 -0500
Source: tdb
Binary: libtdb1 tdb-tools tdb-dev python-tdb
Architecture: source i386
Version: 1.1.1~svn26294-1.1
Distribution: unstable
Urgency: low
Maintainer: Jelmer Vernooij <jelmer@samba.org>
Changed-By: Barry deFreese <bddebian@comcast.net>
Description: 
 libtdb1    - Trivial Database - shared library
 python-tdb - Python bindings for TDB
 tdb-dev    - Trivial Database - development files
 tdb-tools  - Trivial Database - bundled binaries
Closes: 385389 439809 460302
Changes: 
 tdb (1.1.1~svn26294-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * 10_include_signalh.diff (Closes: #460302).
     + Include signal.h in tdb.h.
   * Re-add manpages. (Closes: #439809).
     + Fix manpage sections.
     + Escape hyphens as minus signs.
   * Fix return value in tdb_delete.3. (Closes: #385389).
   * Add ${shlibs:Depends} on python-tdb package.
Files: 
 3dc488c68e472ca52f2b0afdb5373693 778 devel optional tdb_1.1.1~svn26294-1.1.dsc
 71f4c0f4f6b8096ce73f5ece23e9abc5 8066 devel optional tdb_1.1.1~svn26294-1.1.diff.gz
 6f43f0da25212328974b598ae1dabc32 25172 libs optional libtdb1_1.1.1~svn26294-1.1_i386.deb
 6fda70d15fdfc8cdad8f360790a7b624 61026 utils optional tdb-tools_1.1.1~svn26294-1.1_i386.deb
 9b16a96becad7f5e442d5190db2e031e 43398 libs optional tdb-dev_1.1.1~svn26294-1.1_i386.deb
 a573353c2e382db90a363264fdb94c51 19298 python optional python-tdb_1.1.1~svn26294-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH0/eMriZpaaIa1PkRAmoQAKCKXwLaJ3xNy8hyfWhmUlDVM5i/SACdFmne
W/GWSzJkteckJioYy4tlLAQ=
=TFk8
-----END PGP SIGNATURE-----





Tags added: pending Request was from ctrlsoft-guest@alioth.debian.org to control@bugs.debian.org. (Tue, 25 Mar 2008 20:24:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 23 Apr 2008 07:25:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:58:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.